# Class ComponentOptions

## Index

### Methods

- buildBooleanOption
- buildColorOption
- buildFieldConditionOption
- buildFieldOption
- buildFieldsOption
- buildHelperOption
- buildIconOption
- buildJsonObjectOption
- buildJsonOption
- buildListOption
- buildLocalizedStringOption
- buildNumberOption
- buildQueryExpressionOption
- buildSelectorOption
- buildStringOption
- initComponentOptions

## Methods

### Static buildBooleanOption

- buildBooleanOption(optionArgs?: IComponentOptions<boolean>): boolean

- - Defined in ui/Base/ComponentOptions.ts :68

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<boolean>

  #### Returns boolean

  The resulting option value.

### Static buildColorOption

- buildColorOption(optionArgs?: IComponentOptions<string>): string

- - Defined in ui/Base/ComponentOptions.ts :146

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<string>

  #### Returns string

  The resulting option value.

### Static buildFieldConditionOption

- buildFieldConditionOption(): IFieldConditionOption[]

- - Defined in ui/Base/ComponentOptions.ts :401

  #### Returns IFieldConditionOption[]

  The resulting option value.

### Static buildFieldOption

- buildFieldOption(optionArgs?: IComponentOptionsFieldOptionArgs): IFieldOption

- - Defined in ui/Base/ComponentOptions.ts :253

  #### Parameters

  - ##### Optional optionArgs: IComponentOptionsFieldOptionArgs

  #### Returns IFieldOption

  The resulting option value.

### Static buildFieldsOption

- buildFieldsOption(optionArgs?: IComponentOptionsFieldsOptionArgs): IFieldOption[]

- - Defined in ui/Base/ComponentOptions.ts :269

  #### Parameters

  - ##### Optional optionArgs: IComponentOptionsFieldsOptionArgs

  #### Returns IFieldOption[]

  The resulting option value.

### Static buildHelperOption

- buildHelperOption(optionArgs?: IComponentOptions<string>): string

- - Defined in ui/Base/ComponentOptions.ts :169

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<string>

  #### Returns string

  The resulting option value.

### Static buildIconOption

- buildIconOption(optionArgs?: IComponentOptions<string>): string

- - Defined in ui/Base/ComponentOptions.ts :123

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<string>

  #### Returns string

  The resulting option value.

### Static buildJsonObjectOption

- buildJsonObjectOption<T>(optionArgs?: IComponentJsonObjectOption<T>): T

- - Defined in ui/Base/ComponentOptions.ts :209

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional optionArgs: IComponentJsonObjectOption<T>

  #### Returns T

### Static buildJsonOption

- buildJsonOption<T>(optionArgs?: IComponentJsonObjectOption<T>): T

- - Defined in ui/Base/ComponentOptions.ts :200

  #### Type parameters

  - #### T: IStringMap<any>

  #### Parameters

  - ##### Optional optionArgs: IComponentJsonObjectOption<T>

  #### Returns T

  The resulting option value.

### Static buildListOption

- buildListOption<T>(optionArgs?: IComponentOptionsListOptionArgs): T[] | string[]

- - Defined in ui/Base/ComponentOptions.ts :301

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional optionArgs: IComponentOptionsListOptionArgs

  #### Returns T[] | string[]

  The resulting option value.

### Static buildLocalizedStringOption

- buildLocalizedStringOption(optionArgs?: IComponentLocalizedStringOptionArgs): string

- - Defined in ui/Base/ComponentOptions.ts :232

  #### Parameters

  - ##### Optional optionArgs: IComponentLocalizedStringOptionArgs

  #### Returns string

  The resulting option value.

### Static buildNumberOption

- buildNumberOption(optionArgs?: IComponentOptionsNumberOptionArgs): number

- - Defined in ui/Base/ComponentOptions.ts :90

  #### Parameters

  - ##### Optional optionArgs: IComponentOptionsNumberOptionArgs

  #### Returns number

  The resulting option value.

### Static buildQueryExpressionOption

- buildQueryExpressionOption(optionArgs?: IComponentOptions<string>): IQueryExpression

- - Defined in ui/Base/ComponentOptions.ts :285

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<string>

  #### Returns IQueryExpression

  The resulting option value.

### Static buildSelectorOption

- buildSelectorOption(optionArgs?: IComponentOptions<HTMLElement>): HTMLElement

- - Defined in ui/Base/ComponentOptions.ts :320

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<HTMLElement>

  #### Returns HTMLElement

  The resulting option value.

### Static buildStringOption

- buildStringOption<T>(optionArgs?: IComponentOptions<T>): T

- - Defined in ui/Base/ComponentOptions.ts :106

  #### Type parameters

  - #### T: string

  #### Parameters

  - ##### Optional optionArgs: IComponentOptions<T>

  #### Returns T

  The resulting option value.

### Static initComponentOptions

- initComponentOptions(element: HTMLElement, component: any, values?: any): any

- - Defined in ui/Base/ComponentOptions.ts :440

  #### Parameters

  - ##### element: HTMLElement

  - ##### component: any

  - ##### Optional values: any

  #### Returns any

### Hierarchy

- ComponentOptions